Subject: [bug#62438] [PATCH] gnu: llvm: fix riscv64 cross-compile.

From: 宋文武 <[email-masked]>
Date: Mon, 03 Apr 2023 19:11:09 +0800

Z572 <[email-masked]> writes:

> -                                    (system->llvm-target))
> +                                    (if (target-riscv64?)
> +                                        "RISCV64"
> +                                        (system->llvm-target)))
>                     #$(string-append "-DLLVM_TARGETS_TO_BUILD="
>                                      (system->llvm-target)))
>                  '())
> @@ -658,7 +661,9 @@ (define-public llvm-14
>                     #$(string-append "-DLLVM_DEFAULT_TARGET_TRIPLE="
>                                      (%current-target-system))
>                     #$(string-append "-DLLVM_TARGET_ARCH="
> -                                    (system->llvm-target))
> +                                    (if (target-riscv64?)
> +                                        "RISCV64"
> +                                        (system->llvm-target)))
>                     #$(string-append "-DLLVM_TARGETS_TO_BUILD="
>                                      (system->llvm-target)))
>                  '())

Hello, our `system->llvm-target` has riscv => "RISCV", does it wrong
(should be changed to RISCV64) or does it right only for 32bit RISCV?
And can system->llvm-target be fixed instead of fix each its usage?

Thanks!